package applications;

/*
 *  Copyright (C) 2018 Juergen Platzer 
 * 
 *  This file is part of JFXLibrary.
 *  
 *  JFXLibrary is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  JFXLibrary is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JFXLibrary.  If not, see <http://www.gnu.org/licenses/>.
 */


import java.util.Hashtable;


/**
 * An entity that holds the default language properties, for example 
 * all label names in English. 
 **/
public abstract class GuiLanguageProperties {
  
  private static final String KEY_IMAGE_LOAD_PREFIX = "ImageLoadPanel.";
  
  public static final String KEY_IMAGE_LOAD_LABEL = KEY_IMAGE_LOAD_PREFIX + "Label";
  public static final String KEY_IMAGE_LOAD_NO_FILE_LABEL = KEY_IMAGE_LOAD_PREFIX + "NoFileLabel";
  
  
  private static final String KEY_ZOOM_PANEL_PREFIX = "ZoomPanel.";
  
  public static final String KEY_ZOOM_PANEL_FIT_WIDTH = KEY_ZOOM_PANEL_PREFIX + "FitWidth";
  public static final String KEY_ZOOM_PANEL_FIT_HEIGHT = KEY_ZOOM_PANEL_PREFIX + "FitHeight";
  
  
  private static final String KEY_SIZING_PANEL_PREFIX = "SizingPanel.";
  
  public static final String KEY_SIZING_PANEL_WIDTH = KEY_SIZING_PANEL_PREFIX + "Width";
  public static final String KEY_SIZING_PANEL_HEIGHT = KEY_SIZING_PANEL_PREFIX + "Height";
  public static final String KEY_SIZING_PANEL_SIZE_MODE = KEY_SIZING_PANEL_PREFIX + "SizeMode";
  public static final String KEY_SIZING_PANEL_SIZE_MODE_PANEL = KEY_SIZING_PANEL_PREFIX + "SizeModePanel";
  public static final String KEY_SIZING_PANEL_SIZE_MODE_FIXED = KEY_SIZING_PANEL_PREFIX + "SizeModeFixed";
  
  
  private static final String KEY_LINEAR_TRANSITION_PANEL_PREFIX = "LinearTransitionPanel.";
  
  public static final String KEY_LINEAR_TRANSITION_PANEL_START = KEY_LINEAR_TRANSITION_PANEL_PREFIX + "Start";
  public static final String KEY_LINEAR_TRANSITION_PANEL_END = KEY_LINEAR_TRANSITION_PANEL_PREFIX + "End";
  public static final String KEY_LINEAR_TRANSITION_PANEL_FIFTYPERC = KEY_LINEAR_TRANSITION_PANEL_PREFIX + "FiftyPerc";
  
  
  public static final String KEY_PROPERTY_FRAME_TITLE = "PropertyFrame.Title";

 
  
  public static void addDefaultLanguageProperties(Hashtable<String, String> pProperties) {
    if (pProperties == null) return;
    
    pProperties.put(KEY_IMAGE_LOAD_LABEL, "Load new image");
    pProperties.put(KEY_IMAGE_LOAD_NO_FILE_LABEL, "No file loaded!");

    pProperties.put(KEY_ZOOM_PANEL_FIT_WIDTH, "Fit width");
    pProperties.put(KEY_ZOOM_PANEL_FIT_HEIGHT, "Fit height");

    pProperties.put(KEY_SIZING_PANEL_WIDTH, "Width:");
    pProperties.put(KEY_SIZING_PANEL_HEIGHT, "Height:"); 
    pProperties.put(KEY_SIZING_PANEL_SIZE_MODE, "Size mode:"); 
    pProperties.put(KEY_SIZING_PANEL_SIZE_MODE_PANEL, "Panel size"); 
    pProperties.put(KEY_SIZING_PANEL_SIZE_MODE_FIXED, "Fixed size"); 
    
    pProperties.put(KEY_PROPERTY_FRAME_TITLE, "Effect properties");
    
    
    pProperties.put(KEY_LINEAR_TRANSITION_PANEL_START, "Start position");
    pProperties.put(KEY_LINEAR_TRANSITION_PANEL_END, "End position");
    pProperties.put(KEY_LINEAR_TRANSITION_PANEL_FIFTYPERC, "Point of half transparency");

    
  }
}