package applications;

/*
 *  Copyright (C) 2018 Juergen Platzer
 *
 *  This file is part of JFXLibrary.
 *
 *  JFXLibrary is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  JFXLibrary is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JFXLibrary.  If not, see <http://www.gnu.org/licenses/>.
 */


import java.util.Hashtable;


/**
 * An entity that holds the default language properties, for example
 * all label names in English.
 **/
public abstract class NetworkLanguageProperties {

  private static final String KEY_PREFIX = "Network.";

  public static final String KEY_POINT_NUM = KEY_PREFIX + "PointNum";
  public static final String KEY_CONNECTION_NUM = KEY_PREFIX + "ConnectionNum";
  public static final String KEY_POINT_SIZE = KEY_PREFIX + "PointSize";
  public static final String KEY_BACKGROUND_COLOR = KEY_PREFIX + "BackgroundColor";
  public static final String KEY_POINT_COLOR = KEY_PREFIX + "PointColor";
  public static final String KEY_LINE_COLOR = KEY_PREFIX + "LineColor";
  public static final String KEY_SIZE = KEY_PREFIX + "Size";
  public static final String KEY_POINT_INTEND = KEY_PREFIX + "PointIntend";



  public static void addDefaultLanguageProperties(Hashtable<String, String> pProperties) {
    if (pProperties == null) return;

    pProperties.put(KEY_POINT_NUM, "Number of points");
    pProperties.put(KEY_CONNECTION_NUM, "Maximum number of connections");
    pProperties.put(KEY_POINT_SIZE, "Point size");
    pProperties.put(KEY_BACKGROUND_COLOR, "Background color");
    pProperties.put(KEY_POINT_COLOR, "Point colors");
    pProperties.put(KEY_LINE_COLOR, "Line color");
    pProperties.put(KEY_SIZE, "Size");
    pProperties.put(KEY_POINT_INTEND, "Point intend");


  }
}
