package applications;

/*
 *  Copyright (C) 2018 Juergen Platzer 
 * 
 *  This file is part of JFXLibrary.
 *  
 *  JFXLibrary is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  JFXLibrary is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JFXLibrary.  If not, see <http://www.gnu.org/licenses/>.
 */


import java.util.Hashtable;


/**
 * An entity that holds the default language properties, for example 
 * all label names in English. 
 **/
public abstract class NoiseGeneratorLanguageProperties {
  
  private static final String KEY_PREFIX = "NoiseGenerator.";
  
  
  public static final String KEY_IMAGE = KEY_PREFIX + "Image";
  public static final String KEY_NOISE_TYPES = KEY_PREFIX + "NoiseTypes";
  public static final String KEY_SALT_PEPPER_INTENSITY = KEY_PREFIX + "SaltAndPepperIntensity";
  public static final String KEY_GAUSS_INTENSITY = KEY_PREFIX + "GaussianIntensity";
  public static final String KEY_GAUSS_STDDEV = KEY_PREFIX + "GaussianStandardDeviation";
  public static final String KEY_RAND_COL_INTENSITY = KEY_PREFIX + "RandomColorIntensity";
  public static final String KEY_USE_SALT_PEPPER = KEY_PREFIX + "UseSaltAndPepperNoise";
  public static final String KEY_USE_GAUSS = KEY_PREFIX + "UseGaussianNoise";
  public static final String KEY_USE_RAND_COL = KEY_PREFIX + "UseRandomColorNoise";
  
  
  public static void addDefaultLanguageProperties(Hashtable<String, String> pProperties) {
    if (pProperties == null) return;
    
    pProperties.put(KEY_IMAGE, "Image");
    pProperties.put(KEY_NOISE_TYPES, "Noise types");
    pProperties.put(KEY_SALT_PEPPER_INTENSITY, "Salt and pepper intensity in %");
    pProperties.put(KEY_GAUSS_INTENSITY, "Gaussian noise intensity in %");
    pProperties.put(KEY_GAUSS_STDDEV, "Gaussian noise standard deviation");
    pProperties.put(KEY_RAND_COL_INTENSITY, "Random color noise intensity in %");
    pProperties.put(KEY_USE_SALT_PEPPER, "Salt and Pepper noise");
    pProperties.put(KEY_USE_GAUSS, "Gaussian noise");
    pProperties.put(KEY_USE_RAND_COL, "Random color noise");
  }
}