package applications;

/*
 *  Copyright (C) 2018 Juergen Platzer
 *
 *  This file is part of JFXLibrary.
 *
 *  JFXLibrary is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  JFXLibrary is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JFXLibrary.  If not, see <http://www.gnu.org/licenses/>.
 */


import java.util.Hashtable;


/**
 * An entity that holds the default language properties, for example
 * all label names in English.
 **/
public abstract class StarsLanguageProperties {

  private static final String KEY_PREFIX = "Stars.";

  public static final String KEY_PIKE_NUM = KEY_PREFIX + "PikeNum";
  public static final String KEY_PIKE_LENGTH = KEY_PREFIX + "PikeLength";
  public static final String KEY_LINE_NUM = KEY_PREFIX + "LineNum";
  public static final String KEY_LINE_COLOR = KEY_PREFIX + "LineColor";
  public static final String KEY_BACKGROUND_COLOR = KEY_PREFIX + "BackgroundColor";
  public static final String KEY_TRANSLATION_X = KEY_PREFIX + "HorTrans";
  public static final String KEY_TRANSLATION_Y = KEY_PREFIX + "VerTrans";
  public static final String KEY_ROTATION = KEY_PREFIX + "Rotation";
  public static final String KEY_SIZING = KEY_PREFIX + "Sizing";



  public static void addDefaultLanguageProperties(Hashtable<String, String> pProperties) {
    if (pProperties == null) return;

    pProperties.put(KEY_PIKE_NUM, "Number of pikes");
    pProperties.put(KEY_PIKE_LENGTH, "Length of pikes");
    pProperties.put(KEY_LINE_NUM, "Number of lines");
    pProperties.put(KEY_LINE_COLOR, "Line color");
    pProperties.put(KEY_BACKGROUND_COLOR, "Background color");
    pProperties.put(KEY_TRANSLATION_X, "Horizontal translation");
    pProperties.put(KEY_TRANSLATION_Y, "Vertical translation");
    pProperties.put(KEY_ROTATION, "Rotation");
    pProperties.put(KEY_SIZING, "Effect size");


  }
}
