package gui;

/*
 *  Copyright (C) 2014 Juergen Platzer 
 * 
 *  This file is part of JFXLibrary.
 *  
 *  JFXLibrary is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  JFXLibrary is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JFXLibrary.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 *  Interface for objects that listen to changes in a {@code ComboBoxPanel}.
 */
public interface IComboBoxPanelListener {
  
  /**
   *  This method is called when the value of the {@code ComboBoxPanel} panel has been changed.
   *
   *  @param pComboBoxPanel The {@code ComboBoxPanel} to which the listener is registered and that triggered this method call.
   *  @param iSelectedIndex The selected index of the {@code ComboBox} in the {@code ComboBoxPanel}.
   */
  public void applyChanges(ComboBoxPanel pComboBoxPanel, int iSelectedIndex);
}