package gui;

/*
 *  Copyright (C) 2014 Juergen Platzer 
 * 
 *  This file is part of JFXLibrary.
 *  
 *  JFXLibrary is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  JFXLibrary is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JFXLibrary.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 *    The listener interface that should be implemented, when 
 *    the settings of a zoom panel should be considered.
 *
 **/
public interface IZoomPanelListener {

  /**
   *  Sets the zoom factor of the image or video. 
   *
   *  @param dZoomFactor The zoom factor of the image or video as double.
   **/
  public void setZoomFactor(double dZoomFactor);
  
  /**
   *  Sets the zoom factor so that it fits the width of the current display. 
   **/
  public void setFitWidth();
  
  /**
   *  Sets the zoom factor so that it fits the height of the current display. 
   **/
  public void setFitHeight();
}