package gui;

/*
 *  Copyright (C) 2018 Juergen Platzer
 *
 *  This file is part of JFXLibrary.
 *
 *  JFXLibrary is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  JFXLibrary is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JFXLibrary.  If not, see <http://www.gnu.org/licenses/>.
 */

//library imports
import applications.LanguageProperties;

/**
 *  Represents a panel that shows the result of an image effect in the gui application.
 *
 */
public class ImageEffectSaveOption  {

  /*** member variables ***/
  private boolean m_bSelected;
  private String m_LabelKey;


  ////////////////////////////////
  // CONSTRUCTOR                //
  ////////////////////////////////
  public ImageEffectSaveOption(String labelKey, boolean bSelected) {
    m_LabelKey = labelKey;
    m_bSelected = bSelected;
  }


  ////////////////////////////////
  // GET METHODS                //
  ////////////////////////////////
  /**
   *   TODO: Returns the parameters that are currently used by the effect that is shown in this panel.
   *
   *   @return The parameters that are currently used for the effect that is shown in this panel.
   **/
  public boolean isSelected() {
    return m_bSelected;
  }

  /**
   *   TODO: Returns the image that is created by the image effect that is shown in this panel.
   *
   *   @return The image that is created by the image effect that is shown in this panel.
   **/
  public String getLabel(LanguageProperties languageProperties) {
    if (languageProperties == null) return m_LabelKey;
    return languageProperties.getProperty(m_LabelKey);
  }

  public String getLabelKey() {
    return m_LabelKey;
  }


  ////////////////////////////
  // SET METHODS            //
  ////////////////////////////
  public void setSelected(boolean bSelected) {
    m_bSelected = bSelected;
  }







}
