package gui.color;

/*
 *  Copyright (C) 2018 Juergen Platzer 
 * 
 *  This file is part of JFXLibrary.
 *  
 *  JFXLibrary is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  JFXLibrary is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JFXLibrary.  If not, see <http://www.gnu.org/licenses/>.
 */

import java.awt.Color;

/**
 *  The interface for classes that listen to a {@code ColorChooser} object.
 **/
public interface IColorChooserListener {

  /**
   *  If the color of the {@code ColorChooser} has been changed, this is communicated with this method. 
   *
   *  @param pColor The color that has been set to the {@code ColorChooser} object. 
   **/
  public void setColor(Color pColor);
}