package standard;

/*
 *  Copyright (C) 2018 Juergen Platzer 
 * 
 *  This file is part of JFXLibrary.
 *  
 *  JFXLibrary is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  JFXLibrary is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JFXLibrary.  If not, see <http://www.gnu.org/licenses/>.
 */
 

 
public class LinearTransitionProperties {
  
  /*** member variables ***/
  private int m_iStartX, m_iStartY, m_iEndX, m_iEndY;
  private double m_dFiftyPercentTransparencyPos;
  
  
  /////////////////////////////////
  // CONSTRUCTOR                 //
  /////////////////////////////////
  public LinearTransitionProperties(int iStartX, int iStartY, int iEndX, int iEndY, double dFiftyPercentTransparencyPos) {
    setStartX(iStartX);
    setStartY(iStartY);
    setEndX(iEndX);
    setEndY(iEndY);
    setFiftyPercentTranparencyPos(dFiftyPercentTransparencyPos);
  }
  
  
  /////////////////////////////////
  // SET METHODS                 //
  /////////////////////////////////
  public void setStartX(int iStartX) {
    m_iStartX = iStartX;
  }
  
  public void setStartY(int iStartY) {
    m_iStartY = iStartY;
  }
  
  public void setEndX(int iEndX) {
    m_iEndX = iEndX;
  }
  
  public void setEndY(int iEndY) {
    m_iEndY = iEndY;
  }
  
  public void setFiftyPercentTranparencyPos(double dFiftyPercentTransparencyPos) {
    m_dFiftyPercentTransparencyPos = dFiftyPercentTransparencyPos;
  }
  
  
  /////////////////////////////////
  // GET METHODS                 //
  /////////////////////////////////
  public int getStartX() {
    return m_iStartX;
  }
  
  public int getStartY() {
    return m_iStartY;
  }
  
  public int getEndX() {
    return m_iEndX;
  }
  
  public int getEndY() {
    return m_iEndY;
  }
  
  public double getFiftyPercentTranparencyPos() {
    return m_dFiftyPercentTransparencyPos;
  }
  
  public String toString() {
    return "StartX=" + m_iStartX + ",StartY=" + m_iStartY + ",EndX:" + m_iEndX + ",EndY=" + m_iEndY;
  }
}